Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.xpath
Class TemplateSubject

    java.lang.Object
      org.apache.any23.extractor.xpath.Term<org.openrdf.model.Resource>
          org.apache.any23.extractor.xpath.TemplateSubject

    public class TemplateSubject

extends Term<org.openrdf.model.Resource>

Represents a Quad subject template.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Nested Class Summary
`static class` | `TemplateSubject.Type` Supported subject types.

Constructor Summary
`TemplateSubject(TemplateSubject.Type type, String value, boolean isVar)` Constructor.

Method Summary
`protected org.openrdf.model.Resource` | `getValueInternal(String value)`
`String` | `toString()`

Methods inherited from class org.apache.any23.extractor.xpath.Term
`getInternalValue, getValue, isVar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemplateSubject

    public TemplateSubject(TemplateSubject.Type type,
                           String value,
                           boolean isVar)

  Constructor.

  Parameters:
    `type` - subject type.
    `value` - internal value.
    `isVar` - if `true` it the given `value` will be resolved with the variable value.

Method Detail

### getValueInternal

    protected org.openrdf.model.Resource getValueInternal(String value)

  Specified by:
    `getValueInternal` in class `Term<org.openrdf.model.Resource>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Term<org.openrdf.model.Resource>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.